﻿
Mediasite.loadScripts(
    [
        "Javascript/Scripts/jquery.js",
        "Javascript/Scripts/modernizr.js",
        "Javascript/Scripts/jquery-ui.js",
        "Javascript/Scripts/json2.js",
        "Javascript/Scripts/BabelFish.js"
    ],
    function () {
        $(function () {
            function loadApplication() {
                Mediasite.Player.Localization.initialize();

                var scripts = [
                    "Javascript/Scripts/dash.all.debug.js",
                    "Javascript/Scripts/hls.js",
                    "Javascript/Scripts/Silverlight.js",
                    "Javascript/Scripts/jquery.browser.js",
                    "Javascript/Scripts/jquery.whenAll.js",
                    "Javascript/Scripts/IosAppDetection.js",
                    "Javascript/Scripts/Mediasite.Core.js",
                    "Javascript/Scripts/Mediasite.Geometry.js",
                    "Javascript/Scripts/ImageSizeProvider.js",
                    "Javascript/Scripts/Mediasite.Css.js",
                    "Javascript/Scripts/Mediasite.Player.Core.js",
                    "Javascript/Scripts/Mediasite.LogViewer.js",
                    "Javascript/Scripts/Mediasite.Player.API.js",
                    "Javascript/Scripts/Mediasite.Player.Reporting.js",
                    "Javascript/Scripts/Mediasite.Player.ApiOrigin.js",
                    "Javascript/Scripts/Mediasite.Player.APIBroker.js",
                    "Javascript/Scripts/Mediasite.Player.Model.js",
                    "Javascript/Scripts/Mediasite.Player.BookmarkStorage.js",
                    "Javascript/Scripts/Mediasite.Player.UserActivation.js",
                    "Javascript/Scripts/Mediasite.MediaPlayer.js",
                    "Javascript/Scripts/MediaPlayers/Html5MediaPlayer.js",
                    "Javascript/Scripts/MediaPlayers/HlsDotJsMediaPlayer.js",
                    "Javascript/Scripts/MediaPlayers/Html5DashMediaPlayer.js",
                    "Javascript/Scripts/MediaPlayers/Html5RampMediaPlayer.js",
                    "Javascript/Scripts/MediaPlayers/SilverlightMediaPlayer.js",
                    "Javascript/Scripts/MediaPlayers/FlashMediaPlayer.js",
                    "Javascript/Scripts/MediaPlayers/WindowsMediaPlayer.js",
                    "Javascript/Scripts/jquery.ui.messagedisplay.js",
                    "Javascript/Scripts/Mediasite.Player.StreamViewer.js",
                    "Javascript/Scripts/Mediasite.Player.DataProvider.js",
                    "Javascript/Scripts/MediasitePlayer.js",
                    "Javascript/Scripts/Mediasite.Player.AriaMessageFactory.js",
                    "Javascript/Scripts/swfobject.js",
                    "Javascript/Scripts/Mediasite.Player.ConvivaConfigurator.js",
                    "Javascript/Scripts/Mediasite.Player.Configurations.js"
                ];

                if (!window.MediaSource) {
                    // Old browsers (I'm looking at you IE8) may choke on the 
                    // dash.js and hsl.js libraries. Only load those libraries 
                    // if the browser supports Media Source Extensions.
                    scripts.splice(0, 2);
                }

                Mediasite.loadScripts(
                    scripts,
                    function () {

                        $(function () {
                            var mediasitePlayerOptions =
                            {
                                ResourceId: $('#GlobalData > #ResourceId').text(),
                                ServicePath: $('#GlobalData > #ServicePath').text(),
                                PlayerContentId: 'PlayerContent',
                                UrlReferrer: $('#GlobalData > #UrlReferrer').text(),
                                DataProviderType: parseInt($('#DataProviderType').text()),
                                CustomHeader: $('#GlobalData > #CustomHeader').text()
                            };

                            var sfmPlayer = new Mediasite.Player.MediasitePlayer(mediasitePlayerOptions);

                        });

                    }
                );
            }

            var babelFish = new BabelFish({
                dictionary: window.LocalizedDictionary,
                ready: loadApplication //defer callback till end of call stack
            });
            Mediasite.babel = babelFish.translate;

        });
    }
);

